Moniker (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: Moniker

Package com.sun.jna.platform.win32.COM

# Class Moniker

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.Unknown
com.sun.jna.platform.win32.COM.Moniker

All Implemented Interfaces:
  `NativeMapped`, `IMoniker`, `IPersist`, `IPersistStream`, `IUnknown`

Direct Known Subclasses:
  `Moniker.ByReference`

public class Moniker extends Unknown implements IMoniker

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Moniker.ByReference`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static final int`
  `vTableIdStart`

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Moniker()`
  `Moniker(Pointer pointer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `BindToObject()`
  Binds to the specified object.
  `void`
  `BindToStorage()`
  `void`
  `CommonPrefixWith()`
  `void`
  `ComposeWith()`
  `void`
  `Enum()`
  `Guid.CLSID`
  `GetClassID()`
  Retrieves the class identifier (CLSID) of the object.
  `String`
  `GetDisplayName(Pointer pbc, Pointer pmkToLeft)`
  Retrieves the display name for the moniker.
  `void`
  `GetSizeMax()`
  Retrieves the size of the stream needed to save the object.
  `void`
  `GetTimeOfLastChange()`
  `void`
  `Hash()`
  `void`
  `Inverse()`
  `boolean`
  `IsDirty()`
  Determines whether an object has changed since it was last saved to its stream.
  `void`
  `IsEqual()`
  `void`
  `IsRunning()`
  `void`
  `IsSystemMoniker()`
  `void`
  `Load(IStream stm)`
  Initializes an object from the stream where it was saved previously (Unimplemented)
  `void`
  `ParseDisplayName()`
  `void`
  `Reduce()`
  `void`
  `RelativePathTo()`
  `void`
  `Save(IStream stm)`
  Saves an object to the specified stream.

  ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

  `AddRef, QueryInterface, Release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Field Details

  - ### vTableIdStart

    static final int vTableIdStart
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Moniker

    public Moniker()

  - ### Moniker

    public Moniker(Pointer pointer)

- ## Method Details

  - ### BindToObject

    public void BindToObject()
    Description copied from interface: `IMoniker`
    Binds to the specified object. The binding process involves finding the object, putting it into the running state if necessary, and providing the caller with a pointer to a specified interface on the identified object. `HRESULT BindToObject( [in] IBindCtx *pbc, [in] IMoniker *pmkToLeft, [in] REFIID riidResult, [out] void **ppvResult );`
    Specified by:
      `BindToObject` in interface `IMoniker`
    See Also:
      - MSDN

  - ### BindToStorage

    public void BindToStorage()
    Specified by:
      `BindToStorage` in interface `IMoniker`

  - ### Reduce

    public void Reduce()
    Specified by:
      `Reduce` in interface `IMoniker`

  - ### ComposeWith

    public void ComposeWith()
    Specified by:
      `ComposeWith` in interface `IMoniker`

  - ### Enum

    public void Enum()
    Specified by:
      `Enum` in interface `IMoniker`

  - ### IsEqual

    public void IsEqual()
    Specified by:
      `IsEqual` in interface `IMoniker`

  - ### Hash

    public void Hash()
    Specified by:
      `Hash` in interface `IMoniker`

  - ### IsRunning

    public void IsRunning()
    Specified by:
      `IsRunning` in interface `IMoniker`

  - ### GetTimeOfLastChange

    public void GetTimeOfLastChange()
    Specified by:
      `GetTimeOfLastChange` in interface `IMoniker`

  - ### Inverse

    public void Inverse()
    Specified by:
      `Inverse` in interface `IMoniker`

  - ### CommonPrefixWith

    public void CommonPrefixWith()
    Specified by:
      `CommonPrefixWith` in interface `IMoniker`

  - ### RelativePathTo

    public void RelativePathTo()
    Specified by:
      `RelativePathTo` in interface `IMoniker`

  - ### GetDisplayName

    public String GetDisplayName(Pointer pbc, Pointer pmkToLeft)
    Description copied from interface: `IMoniker`
    Retrieves the display name for the moniker. `HRESULT GetDisplayName( [in] IBindCtx *pbc, [in] IMoniker *pmkToLeft, [out] LPOLESTR *ppszDisplayName );`
    Specified by:
      `GetDisplayName` in interface `IMoniker`
    See Also:
      - MSDN

  - ### ParseDisplayName

    public void ParseDisplayName()
    Specified by:
      `ParseDisplayName` in interface `IMoniker`

  - ### IsSystemMoniker

    public void IsSystemMoniker()
    Specified by:
      `IsSystemMoniker` in interface `IMoniker`

  - ### IsDirty

    public boolean IsDirty()
    Description copied from interface: `IPersistStream`
    Determines whether an object has changed since it was last saved to its stream. (Unimplemented)
    Specified by:
      `IsDirty` in interface `IPersistStream`

  - ### Load

    public void Load(IStream stm)
    Description copied from interface: `IPersistStream`
    Initializes an object from the stream where it was saved previously (Unimplemented)
    Specified by:
      `Load` in interface `IPersistStream`

  - ### Save

    public void Save(IStream stm)
    Description copied from interface: `IPersistStream`
    Saves an object to the specified stream. (Unimplemented)
    Specified by:
      `Save` in interface `IPersistStream`

  - ### GetSizeMax

    public void GetSizeMax()
    Description copied from interface: `IPersistStream`
    Retrieves the size of the stream needed to save the object. (Unimplemented)
    Specified by:
      `GetSizeMax` in interface `IPersistStream`

  - ### GetClassID

    public Guid.CLSID GetClassID()
    Description copied from interface: `IPersist`
    Retrieves the class identifier (CLSID) of the object. `HRESULT GetClassID( [out] CLSID *pClassID );` MSDN
    Specified by:
      `GetClassID` in interface `IPersist`